module Paths_BNFC (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch


version :: Version
version = Version {versionBranch = [2,4,2,1], versionTags = []}
bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/abel/.cabal/bin"
libdir     = "/home/abel/.cabal/lib/BNFC-2.4.2.1/ghc-7.4.1"
datadir    = "/home/abel/.cabal/share/BNFC-2.4.2.1"
libexecdir = "/home/abel/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catchIO (getEnv "BNFC_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "BNFC_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "BNFC_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "BNFC_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
